Booklinker.API

<back to all web services

GetIsbnMetadataRequest

The following routes are available for this service:
GET/v1/product/metadata/isbn
GetIsbnMetadataRequest Parameters:
NameParameterData TypeRequiredDescription
IsbnquerystringYes
GetIsbnMetadataRequestBase Parameters:
NameParameterData TypeRequiredDescription
IsbnformstringYes
GetProductMetadataResponse Parameters:
NameParameterData TypeRequiredDescription
ProductMetadataformProductMetadataNo
IsSupportedformboolNo
ResponseStatusformResponseStatusNo
ProductMetadata Parameters:
NameParameterData TypeRequiredDescription
TitleformstringNo
AuthorformstringNo
UrlformUriNo
DescriptionformstringNo
RetailerformstringNo
ProductImagesformIDictionary<string, Uri>No

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /v1/product/metadata/isbn HTTP/1.1 
Host: api.booklinker.com 
Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	productMetadata: 
	{
		title: String,
		author: String,
		description: String,
		retailer: String
	},
	isSupported: False,
	responseStatus: 
	{
		errorCode: String,
		message: String,
		stackTrace: String,
		errors: 
		[
			{
				errorCode: String,
				fieldName: String,
				message: String,
				meta: 
				{
					String: String
				}
			}
		],
		meta: 
		{
			String: String
		}
	}
}